Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.interaction.placeholder.query
Class QueryDefinitionIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<QueryDefinitionID>
              com.bea.portal.tools.interaction.placeholder.query.QueryDefinitionIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public final class QueryDefinitionIDBuilder

extends com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<QueryDefinitionID>

Builds and parses `QueryDefinitionID` instances.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`QueryDefinitionIDBuilder()` Constructor.

Method Summary
`QueryDefinitionID` | `createResourceID()` Create the `QueryDefinitionID`.
`PlaceholderID` | `getPlaceholderID()` Get the `PlaceholderID`.
`String` | `getQueryDefinitionName()` Get the name of the query.
`QueryDefinitionIDBuilder` | `parseResourceURN(String resourceURN)` Parse the given URN.
`QueryDefinitionIDBuilder` | `setPlaceholderID(PlaceholderID placeholderID)` Change the `PlaceholderID`.
`QueryDefinitionIDBuilder` | `setQueryDefinitionName(String queryDefinitionName)` Change the name of the query.

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryDefinitionIDBuilder

    public QueryDefinitionIDBuilder()

  Constructor.

Method Detail

### parseResourceURN

    public QueryDefinitionIDBuilder parseResourceURN(String resourceURN)

  Parse the given URN.

  Overrides:
    `parseResourceURN` in class `com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<QueryDefinitionID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `TaggedResourceIDBuilder`

### getPlaceholderID

    public PlaceholderID getPlaceholderID()

  Get the `PlaceholderID`.

  Returns
    the `PlaceholderID`

### setPlaceholderID

    public QueryDefinitionIDBuilder setPlaceholderID(PlaceholderID placeholderID)

  Change the `PlaceholderID`.

  Parameters
    `placeholderID` - the `PlaceholderID`
  Returns
    this `QueryDefinitionIDBuilder`

### getQueryDefinitionName

    public String getQueryDefinitionName()

  Get the name of the query.

  Returns
    the name of the query

### setQueryDefinitionName

    public QueryDefinitionIDBuilder setQueryDefinitionName(String queryDefinitionName)

  Change the name of the query.

  Parameters
    `queryDefinitionName` - the name of the query
  Returns
    this `QueryDefinitionIDBuilder`

### createResourceID

    public QueryDefinitionID createResourceID()

  Create the `QueryDefinitionID`.

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<QueryDefinitionID>`
  Returns
    the `QueryDefinitionID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.